package com.hai.model;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @className: OrderCouponModel
 * @author: HuRui
 * @date: 2022/9/30
 **/
@Data
public class OrderCouponModel {

    @ExcelProperty(value = "交易订单号")
    private String orderNo;

    @ExcelProperty(value = "客户电话")
    private String memPhone;

    @ExcelProperty(value = "卡券名称")
    private String couponName;

    @ExcelProperty(value = "总价格")
    private BigDecimal totalPrice;

    @ExcelProperty(value = "优惠价格")
    private BigDecimal deductionPrice;

    @ExcelProperty(value = "应付金额")
    private BigDecimal payablePrice;

    @ExcelProperty(value = "积分抵扣")
    private Long payGold;

    @ExcelProperty(value = "实付金额")
    private BigDecimal payPrice;

    @ExcelProperty(value = "支付方式")
    private String payType;

    @ExcelProperty(value = "支付卡号")
    private String memCardNo;

    @ExcelProperty(value = "订单状态")
    private String orderStatus;

    @ExcelProperty(value = "创建时间")
    private Date createTime;

    @ExcelProperty(value = "支付时间")
    private Date payTime;

    @ExcelProperty(value = "完成时间")
    private Date finishTime;
}
